Effective Controls
List effective symbol controls
Lists the combined manual, risk, and time controls for symbols on a trading account.
GET
/
v1
/
controls
/
accounts
/
{account_id}
/
symbols
List effective symbol controls
curl --request GET \
--url https://api.anthid.com/v1/controls/accounts/{account_id}/symbols \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anthid.com/v1/controls/accounts/{account_id}/symbols"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anthid.com/v1/controls/accounts/{account_id}/symbols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"controls": {
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2026-08-05T16:20:00Z",
"manual_reason": null,
"manually_disabled": false,
"organization_id": "550e8400-e29b-41d4-a716-446655440222",
"symbol": "AAPL",
"updated_at": "2026-08-05T16:25:00Z",
"version": 2
},
"risk_controls": null,
"symbol": "AAPL",
"time_controls": null
}
],
"next_cursor": null
}"<string>""<string>""<string>""<string>""<string>"Authorizations
bearerAuthclientCredentialsapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Organization ID required for service-account credentials
Path Parameters
Trading account ID
Query Parameters
Opaque cursor from a previous page's response used to fetch the next page
⌘I
List effective symbol controls
